<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script>
        $(document).ready(function(){
            $("#frm-login").on("submit", function(event){
                event.preventDefault()
                onFrmLoginSubmit();

            })
        });

        function onFrmLoginSubmit(){
            var vLoginObj ={
                userName: "",
                passWord: "",
                isRemeber: false
            }

            getLoginData(vLoginObj);

            var vValid = validateLoginData(vLoginObj);

            if (vValid) {
                login(vLoginObj);
            }
        }

        function getLoginData(paramLoginObj){
            paramLoginObj.userName = $("#inp-login-username").val().trim();
            paramLoginObj.passWord = $("#pwd-login-password").val().trim();
            paramLoginObj.isRemeber = $("#ckb-remember-username").is(":checked");
        }

        function validateLoginData(paramLoginObj){
            if(paramLoginObj.userName == ""){
                alert("Phải nhập vào username");
                $("#inp-login-username").focus();
                return false;
            }
            if(paramLoginObj.passWord == ""){
                alert("Phải nhập vào password");
                $("#pwd-login-password").focus();
                return false;
            }
            else{
                return true
            }
        }

        function login(paramLoginObj){
            console.log(paramLoginObj);
        }
    </script>
</head>

<body>
    <div class="container">
        <form id="frm-login">
            <div class="row d-flex align-items-center min-vh-100">
                <div class="col-sm-4 text-center mx-auto my-0 jumbotron">
                    <div class="mb-5">
                        <h3 class="text-center">Login to your account</h3>
                    </div>
            
                    <div>
                        <div class="form-group">
                            <input type="text" name="username" placeholder="Username" id="inp-login-username"
                                class="form-control" value="" autocomplete="username" required>
                        </div>
                        <div class="form-group">
                            <input name="password" type="password" id="pwd-login-password" placeholder="Password" 
                             class="form-control" value="" autocomplete="inp-current-password" required>
                        </div>
                        <div class="form-group">
                            <input type="checkbox" name="rememberusername" id="ckb-remember-username" class="form-check-input">
                            <label class="form-check-label" for="rememberusername">Reemember username</label>
                            
                            <a class="float-right" href="#">Lost password?</a>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-log btn-block btn-info">Đăng nhập</button>
                        </div>
                    </div>

                    <div  class="text-left">Or <a href="#">Sign-up</a> for having an account</div>
                </div>
            </div>
        </form>
    </div>
   
</body>

</html>